<?php
function dancemaster_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
			'dancemaster_frontpage_sections', array(
				'priority' => 32,
				'title' => esc_html__( 'Frontpage Sections', 'dance-master' ),
			)
		);
	


	/*=========================================
	Slider Section
	=========================================*/
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'dance-master' ),
			'priority' => 13,
			'panel' => 'dancemaster_frontpage_sections',
		)
	);
	
	$wp_customize->add_setting('dancemaster_reset_slider_settings',array(
		'sanitize_callback'   => 'sanitize_text_field'
	));
	$wp_customize->add_control(new dancemaster_Reset_Custom_Control($wp_customize, 'dancemaster_reset_slider_settings',array(
		'type' => 'reset_control',
			'priority' => 1,
		'label' => __('Reset Slider Settings', 'dance-master'),
		'description' => 'dancemaster_slider_reset_settings',
		'section' => 'slider_setting'
	)));

  
  
	$wp_customize->add_setting('dancemaster_top_slider_tabs', array(
		'sanitize_callback' => 'wp_kses_post',
	));
  
	$wp_customize->add_control(new dancemaster_Tab_Control($wp_customize, 'dancemaster_top_slider_tabs', array(
		'section' => 'slider_setting',
		'priority' => 1,
		'buttons' => array(
		array(
			'name' => esc_html__('General', 'dance-master'),
			'icon' => 'dashicons dashicons-welcome-write-blog',
			'fields' => array(
				'slider1',
				'slider2',
				'slider3',
				'slider4',
				'slider5',
				'slider6',
				'slider_signupbtntext',
				'slider_signupbtnlink',
				'slider_learnmorebtntext',
				'slider_learnmorebtnlink'

			),
			'active' => true,
		),
		array(
			'name' => esc_html__('Style', 'dance-master'),
			'icon' => 'dashicons dashicons-art',
			'fields' => array(
				'slider_titlecol',
				'slider_descriptioncol',
				'slider_btn1textcol',
				'slider_btn1bgcol',
				'slider_btn2textcol',
				'slider_btn2bgcol'
			),
		)
		
		),
	)));
  
  

	// general

	// Slider 1
	$wp_customize->add_setting( 
    	'slider1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'slider1',
		array(
		    'label'   		=> __('Slider 1','dance-master'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		



	// Slider 2
	$wp_customize->add_setting(
    	'slider2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'slider2',
		array(
		    'label'   		=> __('Slider 2','dance-master'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 3
	$wp_customize->add_setting(
    	'slider3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider3',
		array(
		    'label'   		=> __('Slider 3','dance-master'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 4
	$wp_customize->add_setting(
    	'slider4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'slider4',
		array(
		    'label'   		=> __('Slider 4','dance-master'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Slider 5
	$wp_customize->add_setting(
    	'slider5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'slider5',
		array(
		    'label'   		=> __('Slider 5','dance-master'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// slider 
	$slidersignupbtntext = esc_html__('Sign Up', 'dance-master' );
	$wp_customize->add_setting(
		'slider_signupbtntext',
		array(
			'default' => $slidersignupbtntext,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider_signupbtntext',
		array(
			'label'   		=> __('SignUp Button Text','dance-master'),
			'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// slider 
	$slidersignupbtnlink = esc_html__('#', 'dance-master' );
	$wp_customize->add_setting(
    	'slider_signupbtnlink',
    	array(
			'default' => $slidersignupbtnlink,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_signupbtnlink',
		array(
		    'label'   		=> __('SignUp Button Link','dance-master'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// slider 
	$sliderlearnmorebtntext = esc_html__('Learn More', 'dance-master' );
	$wp_customize->add_setting(
		'slider_learnmorebtntext',
		array(
			'default' => $sliderlearnmorebtntext,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider_learnmorebtntext',
		array(
			'label'   		=> __('LearnMore Button Text','dance-master'),
			'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// slider 
	$sliderlearnmorebtnlink = esc_html__('#', 'dance-master' );
	$wp_customize->add_setting(
    	'slider_learnmorebtnlink',
    	array(
			'default' => $sliderlearnmorebtnlink,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_learnmorebtnlink',
		array(
		    'label'   		=> __('LearnMore Button Link','dance-master'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	//style

	// Slider title Color
	$slidertitlecol = esc_html__('#fff', 'dance-master' );
	$wp_customize->add_setting(
		'slider_titlecol',
		array(
			'default' => $slidertitlecol,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'slider_titlecol',
		array(
			'label'   		=> __('Title Color','dance-master'),
			'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider description Color
	$sliderdescriptioncol = esc_html__('#979b9d', 'dance-master' );
	$wp_customize->add_setting(
		'slider_descriptioncol',
		array(
			'default' => $sliderdescriptioncol,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'slider_descriptioncol',
		array(
			'label'   		=> __('Description Color','dance-master'),
			'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider btn1text Color
	$sliderbtn1textcol = esc_html__('#fff', 'dance-master' );
	$wp_customize->add_setting(
		'slider_btn1textcol',
		array(
			'default' => $sliderbtn1textcol,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn1textcol',
		array(
			'label'   		=> __('Button 1 Text Color','dance-master'),
			'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider btn1bg Color
	$sliderbtn1bgcol = esc_html__('#fd053f', 'dance-master' );
	$wp_customize->add_setting(
		'slider_btn1bgcol',
		array(
			'default' => $sliderbtn1bgcol,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn1bgcol',
		array(
			'label'   		=> __('Button 1 BG Color','dance-master'),
			'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider btn2text Color
	$sliderbtn2textcol = esc_html__('#fd053f', 'dance-master' );
	$wp_customize->add_setting(
		'slider_btn2textcol',
		array(
			'default' => $sliderbtn2textcol,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn2textcol',
		array(
			'label'   		=> __('Button 2 Text Color','dance-master'),
			'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider btn2bg Color
	$sliderbtn2bgcol = esc_html__('#fff', 'dance-master' );
	$wp_customize->add_setting(
		'slider_btn2bgcol',
		array(
			'default' => $sliderbtn2bgcol,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn2bgcol',
		array(
			'label'   		=> __('Button 2 BG Color','dance-master'),
			'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);



	/*=========================================
	feature Section
	=========================================*/
	$wp_customize->add_section(
		'feature_setting', array(
			'title' => esc_html__( 'Feature Section', 'dance-master' ),
			'priority' => 13,
			'panel' => 'dancemaster_frontpage_sections',
		)
	);

	// feature heading
	$featureheading = esc_html__('Our Feature', 'dance-master' );
	$wp_customize->add_setting(
		'feature_heading',
		array(
			'default' => $featureheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'feature_heading',
		array(
			'label'   		=> __('Heading','dance-master'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// feature 1
	$wp_customize->add_setting( 
    	'feature1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'feature1',
		array(
		    'label'   		=> __('Feature 1','dance-master'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		



	// feature 2
	$wp_customize->add_setting(
    	'feature2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'feature2',
		array(
		    'label'   		=> __('Feature 2','dance-master'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// feature 3
	$wp_customize->add_setting(
    	'feature3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'feature3',
		array(
		    'label'   		=> __('Feature 3','dance-master'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// feature 4
	$wp_customize->add_setting(
    	'feature4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature4',
		array(
		    'label'   		=> __('Feature 4','dance-master'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// feature 5
	$wp_customize->add_setting(
    	'feature5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'feature5',
		array(
		    'label'   		=> __('Feature 5','dance-master'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);





	/*=========================================
	Service Section
	=========================================*/
	$wp_customize->add_section(
		'Service_setting', array(
			'title' => esc_html__( 'Service Section', 'dance-master' ),
			'priority' => 14,
			'panel' => 'dancemaster_frontpage_sections',
		)
	);

	// service heading
	$serviceheading = esc_html__('Our Classes', 'dance-master' );
	$wp_customize->add_setting(
		'service_heading',
		array(
			'default' => $serviceheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'service_heading',
		array(
			'label'   		=> __('Heading','dance-master'),
			'section'		=> 'Service_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// Service 1
	$wp_customize->add_setting( 
    	'Service1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'Service1',
		array(
		    'label'   		=> __('Service 1','dance-master'),
		    'section'		=> 'Service_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		



	// Service 2
	$wp_customize->add_setting(
    	'Service2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'Service2',
		array(
		    'label'   		=> __('Service 2','dance-master'),
		    'section'		=> 'Service_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Service 3
	$wp_customize->add_setting(
    	'Service3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'Service3',
		array(
		    'label'   		=> __('Service 3','dance-master'),
		    'section'		=> 'Service_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Service 4
	$wp_customize->add_setting(
    	'Service4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'Service4',
		array(
		    'label'   		=> __('Service 4','dance-master'),
		    'section'		=> 'Service_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Service 5
	$wp_customize->add_setting(
    	'Service5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'Service5',
		array(
		    'label'   		=> __('Service 5','dance-master'),
		    'section'		=> 'Service_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);


	// Service 6
	$wp_customize->add_setting(
    	'Service6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'Service6',
		array(
		    'label'   		=> __('Service 6','dance-master'),
		    'section'		=> 'Service_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);


	$wp_customize->register_control_type('dancemaster_Tab_Control');

}

add_action( 'customize_register', 'dancemaster_blog_setting' );

// service selective refresh
function dancemaster_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'dancemaster_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'dancemaster_blog_subtitle_render_callback',
	
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'dancemaster_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'dancemaster_blog_section_partials' );

// blog_title
function dancemaster_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function dancemaster_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// service description
function dancemaster_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}